httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matus UHLAR - fantomas <uh...@fantomas.sk>
Subject Re: [users@httpd] how to statically link PHP 5.2.x + Apache httpd 2.2.x?
Date Thu, 08 Oct 2009 11:56:53 GMT
On 29.09.09 11:52, Ro Achterberg wrote:
> I'm in the midst of setting up my production server, which will be  
> running on a fully chrooted non-root LAMP configuration. Due to my high 
> demands for performance and security, I've been advised by several 
> resources on the net to statically link PHP into Apache. However, all 
> information I could find seems to pertain to very old Apache 1.3.x 
> configurations, which are no longer compatible with the current configure 
> scripts.

i doubt static linking would improve security. I think it would make
security maintenance much harder - it's easy to upgrade shared library but
any bug in any part of the stuff would require recompiling the stuff again.

-- 
Matus UHLAR - fantomas, uhlar@fantomas.sk ; http://www.fantomas.sk/
Warning: I wish NOT to receive e-mail advertising to this address.
Varovanie: na tuto adresu chcem NEDOSTAVAT akukolvek reklamnu postu.
"Two words: Windows survives." - Craig Mundie, Microsoft senior strategist
"So does syphillis. Good thing we have penicillin." - Matthew Alton

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message